﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.17929
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.17929.
// 
#pragma warning disable 1591

namespace ManifestReceiving.Offline.WSIPPCS {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ServiceSoap", Namespace="http://tempuri.org/")]
    [System.Xml.Serialization.XmlIncludeAttribute(typeof(object[]))]
    public partial class Service : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback UpdateDCLOfflineOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetDataDCLOperationCompleted;
        
        private System.Threading.SendOrPostCallback SendEmailNotificationOperationCompleted;
        
        private System.Threading.SendOrPostCallback InsertProblemManifestOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateManifestOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateManifestProblemOperationCompleted;
        
        private System.Threading.SendOrPostCallback ManifestProblemFLagOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public Service() {
            this.Url = global::ManifestReceiving.Offline.Properties.Settings.Default.ManifestReceiving_WSIPPCS_Service;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event UpdateDCLOfflineCompletedEventHandler UpdateDCLOfflineCompleted;
        
        /// <remarks/>
        public event GetDataDCLCompletedEventHandler GetDataDCLCompleted;
        
        /// <remarks/>
        public event SendEmailNotificationCompletedEventHandler SendEmailNotificationCompleted;
        
        /// <remarks/>
        public event InsertProblemManifestCompletedEventHandler InsertProblemManifestCompleted;
        
        /// <remarks/>
        public event UpdateManifestCompletedEventHandler UpdateManifestCompleted;
        
        /// <remarks/>
        public event UpdateManifestProblemCompletedEventHandler UpdateManifestProblemCompleted;
        
        /// <remarks/>
        public event ManifestProblemFLagCompletedEventHandler ManifestProblemFLagCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/UpdateDCLOffline", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public int UpdateDCLOffline(string[] args) {
            object[] results = this.Invoke("UpdateDCLOffline", new object[] {
                        args});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void UpdateDCLOfflineAsync(string[] args) {
            this.UpdateDCLOfflineAsync(args, null);
        }
        
        /// <remarks/>
        public void UpdateDCLOfflineAsync(string[] args, object userState) {
            if ((this.UpdateDCLOfflineOperationCompleted == null)) {
                this.UpdateDCLOfflineOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateDCLOfflineOperationCompleted);
            }
            this.InvokeAsync("UpdateDCLOffline", new object[] {
                        args}, this.UpdateDCLOfflineOperationCompleted, userState);
        }
        
        private void OnUpdateDCLOfflineOperationCompleted(object arg) {
            if ((this.UpdateDCLOfflineCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateDCLOfflineCompleted(this, new UpdateDCLOfflineCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/GetDataDCL", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute(IsNullable=true)]
        public System.Nullable<System.DateTime> GetDataDCL(string[] args) {
            object[] results = this.Invoke("GetDataDCL", new object[] {
                        args});
            return ((System.Nullable<System.DateTime>)(results[0]));
        }
        
        /// <remarks/>
        public void GetDataDCLAsync(string[] args) {
            this.GetDataDCLAsync(args, null);
        }
        
        /// <remarks/>
        public void GetDataDCLAsync(string[] args, object userState) {
            if ((this.GetDataDCLOperationCompleted == null)) {
                this.GetDataDCLOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetDataDCLOperationCompleted);
            }
            this.InvokeAsync("GetDataDCL", new object[] {
                        args}, this.GetDataDCLOperationCompleted, userState);
        }
        
        private void OnGetDataDCLOperationCompleted(object arg) {
            if ((this.GetDataDCLCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetDataDCLCompleted(this, new GetDataDCLCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/SendEmailNotification", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void SendEmailNotification(string[] args) {
            this.Invoke("SendEmailNotification", new object[] {
                        args});
        }
        
        /// <remarks/>
        public void SendEmailNotificationAsync(string[] args) {
            this.SendEmailNotificationAsync(args, null);
        }
        
        /// <remarks/>
        public void SendEmailNotificationAsync(string[] args, object userState) {
            if ((this.SendEmailNotificationOperationCompleted == null)) {
                this.SendEmailNotificationOperationCompleted = new System.Threading.SendOrPostCallback(this.OnSendEmailNotificationOperationCompleted);
            }
            this.InvokeAsync("SendEmailNotification", new object[] {
                        args}, this.SendEmailNotificationOperationCompleted, userState);
        }
        
        private void OnSendEmailNotificationOperationCompleted(object arg) {
            if ((this.SendEmailNotificationCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.SendEmailNotificationCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/InsertProblemManifest", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InsertProblemManifest(object[] args) {
            this.Invoke("InsertProblemManifest", new object[] {
                        args});
        }
        
        /// <remarks/>
        public void InsertProblemManifestAsync(object[] args) {
            this.InsertProblemManifestAsync(args, null);
        }
        
        /// <remarks/>
        public void InsertProblemManifestAsync(object[] args, object userState) {
            if ((this.InsertProblemManifestOperationCompleted == null)) {
                this.InsertProblemManifestOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInsertProblemManifestOperationCompleted);
            }
            this.InvokeAsync("InsertProblemManifest", new object[] {
                        args}, this.InsertProblemManifestOperationCompleted, userState);
        }
        
        private void OnInsertProblemManifestOperationCompleted(object arg) {
            if ((this.InsertProblemManifestCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InsertProblemManifestCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/UpdateManifest", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void UpdateManifest(object[] args) {
            this.Invoke("UpdateManifest", new object[] {
                        args});
        }
        
        /// <remarks/>
        public void UpdateManifestAsync(object[] args) {
            this.UpdateManifestAsync(args, null);
        }
        
        /// <remarks/>
        public void UpdateManifestAsync(object[] args, object userState) {
            if ((this.UpdateManifestOperationCompleted == null)) {
                this.UpdateManifestOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateManifestOperationCompleted);
            }
            this.InvokeAsync("UpdateManifest", new object[] {
                        args}, this.UpdateManifestOperationCompleted, userState);
        }
        
        private void OnUpdateManifestOperationCompleted(object arg) {
            if ((this.UpdateManifestCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateManifestCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/UpdateManifestProblem", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void UpdateManifestProblem(object[] args) {
            this.Invoke("UpdateManifestProblem", new object[] {
                        args});
        }
        
        /// <remarks/>
        public void UpdateManifestProblemAsync(object[] args) {
            this.UpdateManifestProblemAsync(args, null);
        }
        
        /// <remarks/>
        public void UpdateManifestProblemAsync(object[] args, object userState) {
            if ((this.UpdateManifestProblemOperationCompleted == null)) {
                this.UpdateManifestProblemOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateManifestProblemOperationCompleted);
            }
            this.InvokeAsync("UpdateManifestProblem", new object[] {
                        args}, this.UpdateManifestProblemOperationCompleted, userState);
        }
        
        private void OnUpdateManifestProblemOperationCompleted(object arg) {
            if ((this.UpdateManifestProblemCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateManifestProblemCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/ManifestProblemFLag", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public int ManifestProblemFLag(string args) {
            object[] results = this.Invoke("ManifestProblemFLag", new object[] {
                        args});
            return ((int)(results[0]));
        }
        
        /// <remarks/>
        public void ManifestProblemFLagAsync(string args) {
            this.ManifestProblemFLagAsync(args, null);
        }
        
        /// <remarks/>
        public void ManifestProblemFLagAsync(string args, object userState) {
            if ((this.ManifestProblemFLagOperationCompleted == null)) {
                this.ManifestProblemFLagOperationCompleted = new System.Threading.SendOrPostCallback(this.OnManifestProblemFLagOperationCompleted);
            }
            this.InvokeAsync("ManifestProblemFLag", new object[] {
                        args}, this.ManifestProblemFLagOperationCompleted, userState);
        }
        
        private void OnManifestProblemFLagOperationCompleted(object arg) {
            if ((this.ManifestProblemFLagCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.ManifestProblemFLagCompleted(this, new ManifestProblemFLagCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void UpdateDCLOfflineCompletedEventHandler(object sender, UpdateDCLOfflineCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class UpdateDCLOfflineCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal UpdateDCLOfflineCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void GetDataDCLCompletedEventHandler(object sender, GetDataDCLCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetDataDCLCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetDataDCLCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public System.Nullable<System.DateTime> Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((System.Nullable<System.DateTime>)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void SendEmailNotificationCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void InsertProblemManifestCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void UpdateManifestCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void UpdateManifestProblemCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void ManifestProblemFLagCompletedEventHandler(object sender, ManifestProblemFLagCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class ManifestProblemFLagCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal ManifestProblemFLagCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public int Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((int)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591